#include<stdio.h>
#include<math.h>

int main()
{
    int i,n,j;
    float sum=0,mean,deviation,ary[100];

    printf("Enter number to be compared:");
    scanf("%d",&n);

    for ( i = 0; i < n; i++)
    {
        printf("Enter Individual Number: ");
        scanf("%f",&ary[i]);
    }

    for ( i = 0; i < n; i++)
    {
        sum = sum + ary[i];
        mean = sum/n;
    }
    
    printf("\nAverage=%f", mean);

    for ( i = 0; i < n; i++)
    {
        deviation = mean - ary[i];
        j = i + 1;
        printf("\nDeviation of %dst= %f", j,deviation);
    }
    
    return 0;
}
